FruxonDocs
ApiAgentrevisionmodelusages

Gets aggregated per-model token usage for a specific agent revision or all revisions.

GET
/v1/tenants/{tenant}/agents/{agent}/revisions/{revision}/model-usages

Path Parameters

agent*string

The unique identifier of the agent.

revision*string

The revision number, or * to aggregate across all revisions.

tenant*string

The tenant identifier

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/agents/string/revisions/string/model-usages"
[
  {
    "revision": 0,
    "modelId": "string",
    "providerId": "string",
    "inputTokens": 0,
    "outputTokens": 0,
    "cachedTokens": 0,
    "thinkingTokens": 0,
    "executionCount": 0,
    "inputCost": 0,
    "outputCost": 0,
    "totalCost": 0
  }
]
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}